# PetscOptionsTruth

Determines if a particular option is in the database with a true or false

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsTruth(const char opt[],const char text[],const char man[],PetscTruth deflt,PetscTruth *flg,PetscTruth *set)

Collective on the communicator passed in PetscOptionsBegin()

### Input Parameters

| opt | - option name
| text | - short string that describes the option
| man | - manual page with additional information on option

### Output Parameter

flg -PETSC_TRUE or PETSC_FALSE
set -PETSC_TRUE if found, else PETSC_FALSE

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:beginner
Location: src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages